# PlayerHeads Configuration
# IMPORTANT NOTE: heads dropped by charged creepers are not modified by this plugin nor the below settings.
# Defaults/explanation:
# pkonly: true                  [true/false]    When true trophies only drop when a player kills another player (as opposed to self drowning, etc)
# droprate: 0.05                [0.0 -> 1.0]    Chance that a trophy will drop when a player dies (1 is 100%, 0 is never)
# lootingrate: 0.2              [0.0 -> 1.0]    Increases all droprates by lootingrate percent per looting level when a enchanted weapon is used
# mobpkonly: true               [true/false]    When true mob trophies only drop when a player kills the mob (as opposed to a lava blade or fall death)
# fixcase: true                 [true/false]    When spawning/renaming heads, will attempt to make the input case insensitive
# updatecheck: true             [true/false]    Checks for update on startup and alerts admins
# broadcast: true               [true/false]    Sends a message when someone gets beheaded
# broadcastrange: 0             [positive int]  Radial distance in meters in which other players will hear the broadcast message (0 is unlimited)
# broadcastmob: false           [true/false]    Sends a message when a mob gets beheaded (v5.0 alpha 2+)
# broadcastmobrange: 0          [positive int]  Radial distance in meters in which other players will hear the mob broadcast message (0 is unlimited) (v5.0 alpha 2+)
# broadcastaddnearby            [true/false]    Add a note that the broadcasted beheading message was "nearby" if the range is set.
# antideathchest: false         [true/false]    Do not allow other plugins to fiddle with dropping player heads, makes certain they drop on the ground
# dropboringplayerheads: false  [true/false]    Drop plain heads when a player dies, instead of the player's head
# dropvanillaheads: true        [true/false]    Drop vanilla mob heads whenever possible on death and on breaking head (for creeper/skeleton/zombie/witherskeleton/dragon)  (version 4.1+)
#                                               If this is false, any modified drops and breaking of skulls will use skinned player head versions only.
# convertvanillaheads: false    [true/false]    When false, avoid converting the type head of when its block is broken. 
#                                               When true (or pre-4.2), the head is automatically converted to vanilla or skinned depending on the state of `dropvanillaheads` setting. (version 4.2+)
# nerfdeathspam: false          [true/false]    Don't drop a head when a player has died recently to the same killer (within a threshold). This alleviates some ability to farm heads. (version 4.3+)
#                                               If pkonly is disabled, a player dying repeatedly to any mob is also nerfed similarly under this option.
# addlore: true                 [true/false]    If true (or pre-4.6), add plugin and player/mob lore text to plugin-added head items. If false, skip adding any lore. (version 4.6+)
# clickspamcount: 5             [positive int]  Number of click interactions to record and check for spam  (version 4.7+)
# clickspamthreshold: 1000      [positive int]  Amount of miliseconds to match click interactions for spam  (version 4.7+)
# deathspamamount: 5            [positive int]  Number of player deaths to record and check for spam  (version 4.7+)
# deathspamthreshold: 300000    [positive int]  Amount of miliseconds to match player deaths for spam  (version 4.7+)
# fixdroppedheads: true         [true/false]    Whether or not to update the name,lore on dropped head items (fixes heads broken by pistons/water) (version v4.9+)
#
# requireitem: false            [true/false]    If true, an item in the 'requireditems' list must be held in the main hand to behead. Disabled by default. (v5.0 alpha 3+)
# requireditems: [...]          [list]          A lowercase list of Bukkit Materials that permit beheading when held in the main hand, if 'requireitem' is enabled. By default this includes axes. (v5.0 alpha 3+)
#
# considermobkillers: false     [true/false]    If true, consider Mobs responsible for deaths as "killers" as well. This enables effects 'requireitem' and 'lootingrate' to the mob. Disabled by default. (v5.0 alpha 3+)
# considertameowner: false      [true/false]    If true, consider Tamed mobs (Wolf) attacks to come from their owner. Requires 'considermobkillers' to be enabled. (v5.0 alpha 3+)
#
# chargedcreeperbehavior:ignore [string]        Sets what PlayerHeads will do when a Charged Creeper kills something (only if 'considermobkillers' is enabled). (v5.2+)
#                                                "ignore" allows head drops to be added to existing ones.
#                                                "replace" removes vanilla heads from the death and adds PH head chances.
#                                                "block" removes all head drops from the death only.
#                                                "vanilla" causes the plugin to not modify the drops or apply PH behavior to the death at all.
#
# creeperdroprate: 0.005        [0.0 -> 1.0]    Chance that a mob trophy will drop when a creeper dies
# zombiedroprate: 0.002         [0.0 -> 1.0]    Chance that a mob trophy will drop when a zombie dies
# skeletondroprate: 0.002       [0.0 -> 1.0]    Chance that a mob trophy will drop when a skeleton dies
# witherskeletondroprate: 0.025 [0.0 -> 1.0]    Chance that a mob trophy will drop when a wither skeleton dies. (NOTE: if this is negative, wither skeleton will use vanilla drop behavior and items instead.)
# spiderdroprate: 0.002         [0.0 -> 1.0]    Chance that a mob trophy will drop when a spider dies
# endermandroprate: 0.002       [0.0 -> 1.0]    Chance that a mob trophy will drop when an enderman dies
# blazedroprate: 0.002          [0.0 -> 1.0]    Chance that a mob trophy will drop when a blaze dies
# horsedroprate: 0.002          [0.0 -> 1.0]    Chance that a mob trophy will drop when a horse dies
# donkeydroprate: 0.002         [0.0 -> 1.0]    Chance that a mob trophy will drop when a donkey dies
# squiddroprate: 0.005          [0.0 -> 1.0]    Chance that a mob trophy will drop when a squid dies
# silverfishdroprate: 0.005     [0.0 -> 1.0]    Chance that a mob trophy will drop when a silverfish dies
# enderdragondroprate: 0.05     [0.0 -> 1.0]    Chance that a mob trophy will drop when an ender dragon dies
# slimedroprate: 0.001          [0.0 -> 1.0]    Chance that a mob trophy will drop when a slime dies
# irongolemdroprate: 0.005      [0.0 -> 1.0]    Chance that a mob trophy will drop when an iron golem dies
# mushroomcowdroprate: 0.002    [0.0 -> 1.0]    Chance that a mob trophy will drop when a mushroom cow dies
# batdroprate: 0.005            [0.0 -> 1.0]    Chance that a mob trophy will drop when a bat dies
# zombifiedpiglindroprate: 0.002[0.0 -> 1.0]    Chance that a mob trophy will drop when a pig zombie dies
# snowmandroprate: 0.002        [0.0 -> 1.0]    Chance that a mob trophy will drop when a snowman dies
# ghastdroprate: 0.005          [0.0 -> 1.0]    Chance that a mob trophy will drop when a ghast dies
# pigdroprate: 0.002            [0.0 -> 1.0]    Chance that a mob trophy will drop when a pig dies
# villagerdroprate: 0.002       [0.0 -> 1.0]    Chance that a mob trophy will drop when a villager dies
# sheepdroprate: 0.002          [0.0 -> 1.0]    Chance that a mob trophy will drop when a sheep dies
# cowdroprate: 0.002            [0.0 -> 1.0]    Chance that a mob trophy will drop when a cow dies
# chickendroprate: 0.002        [0.0 -> 1.0]    Chance that a mob trophy will drop when a chicken dies
# ocelotdroprate: 0.005         [0.0 -> 1.0]    Chance that a mob trophy will drop when an ocelot dies
# witchdroprate: 0.005          [0.0 -> 1.0]    Chance that a mob trophy will drop when a witch dies
# magmacubedroprate: 0.001      [0.0 -> 1.0]    Chance that a mob trophy will drop when a magma cube dies
# wolfdroprate: 0.002           [0.0 -> 1.0]    Chance that a mob trophy will drop when a wolf dies
# cavespiderdroprate: 0.002     [0.0 -> 1.0]    Chance that a mob trophy will drop when a cave spider dies
# rabbitdroprate: 0.002         [0.0 -> 1.0]    Chance that a mob trophy will drop when a rabbit dies
# guardiandroprate: 0.025       [0.0 -> 1.0]    Chance that a mob trophy will drop when a guardian dies
# elderguardiandroprate: 0.030  [0.0 -> 1.0]    Chance that a mob trophy will drop when an elder guardian dies
# polarbeardroprate: 0.005      [0.0 -> 1.0]    Chance that a mob trophy will drop when a polarbear dies
# shulkerdroprate: 0.002        [0.0 -> 1.0]    Chance that a mob trophy will drop when a shulker dies
# straydroprate: 0.005          [0.0 -> 1.0]    Chance that a mob trophy will drop when a stray dies
# endermitedroprate: 0.002      [0.0 -> 1.0]    Chance that a mob trophy will drop when a endermite dies
# evokerdroprate: 0.005         [0.0 -> 1.0]    Chance that a mob trophy will drop when an evoker dies
# illusionerdroprate: 0.005     [0.0 -> 1.0]    Chance that a mob trophy will drop when an illusioner dies
# vindicatordroprate: 0.005     [0.0 -> 1.0]    Chance that a mob trophy will drop when a vindicator dies
# witherdroprate: 0.005         [0.0 -> 1.0]    Chance that a mob trophy will drop when a wither(boss) dies
# vexdroprate: 0.004            [0.0 -> 1.0]    Chance that a mob trophy will drop when a vex dies
# llamadroprate: 0.008          [0.0 -> 1.0]    Chance that a mob trophy will drop when a llama dies
# parrotdroprate: 0.008         [0.0 -> 1.0]    Chance that a mob trophy will drop when a parrot dies
# huskdroprate: 0.002           [0.0 -> 1.0]    Chance that a mob trophy will drop when a husk dies (version 4.0+)
# zombievillagerdroprate: 0.002 [0.0 -> 1.0]    Chance that a mob trophy will drop when a zombie villager dies (version 4.0+)
# skeletonhorsedroprate: 0.002  [0.0 -> 1.0]    Chance that a mob trophy will drop when a skeleton horse dies (version 4.0+)
# zombiehorsedroprate: 0.002    [0.0 -> 1.0]    Chance that a mob trophy will drop when a zombie horse dies (version 4.0+)
# muledroprate: 0.002           [0.0 -> 1.0]    Chance that a mob trophy will drop when a mule dies (version 4.0+)
# turtledroprate: 0.002         [0.0 -> 1.0]    Chance that a mob trophy will drop when a turtle dies (version 4.0+)
# phantomdroprate: 0.001        [0.0 -> 1.0]    Chance that a mob trophy will drop when a phasntom dies (version 4.0+)
# coddroprate: 0.002            [0.0 -> 1.0]    Chance that a mob trophy will drop when a cod dies (version 4.0+)
# salmondroprate: 0.002         [0.0 -> 1.0]    Chance that a mob trophy will drop when a salmon dies (version 4.0+)
# pufferfishdroprate: 0.002     [0.0 -> 1.0]    Chance that a mob trophy will drop when a pufferfish dies (version 4.0+)
# tropicalfishdroprate: 0.002   [0.0 -> 1.0]    Chance that a mob trophy will drop when a tropical fish dies (version 4.0+)
# drowneddroprate: 0.002        [0.0 -> 1.0]    Chance that a mob trophy will drop when a drowned dies (version 4.0+)
# dolphindroprate: 0.002        [0.0 -> 1.0]    Chance that a mob trophy will drop when a dolphin dies (version 4.0+)



pkonly: true
droprate: 0.05
lootingrate: 0.2
mobpkonly: true
fixcase: false
updatecheck: true
broadcast: true
broadcastrange: 0
broadcastmob: false
broadcastmobrange: 0
broadcastaddnearby: false
antideathchest: false
dropboringplayerheads: false
dropvanillaheads: true
convertvanillaheads: false
nerfdeathspam: false
addlore: true
clickspamcount: 100
clickspamthreshold: 1000
deathspamcount: 100
deathspamthreshold: 300000
fixdroppedheads: true

allow-perm-alwaysbehead: false
allow-perm-alwaysbeheadmob: false

requireitem: false
requireditems: [wooden_axe,stone_axe,golden_axe,iron_axe,diamond_axe]

considermobkillers: false
considertameowner: false

#controls whether spawner mobs should be tracked
trackspawnermobs: false

#spawnermobbehavior can be:
#   vanilla - don't allow PlayerHeads to modify deaths caused by spawner mobs at all
#   ignore - don't consider spawner mobs at all, add PlayerHeads drop chances anyway if applicable
#   block - block all spawner mob caused head drops (including vanilla drops)
#   replace - remove vanilla spawner mob caused head drops and add PlayerHeads drop chances instead
# NOTE: requires 'trackspawnermobs' to be enabled.
spawnermobbehavior: ignore

#prevent PlayerHeads from interacting/modifying third-party heads with these names or UUIDs
ignoredheadnames: [CSCoreLib,CsCoreLib,CS-CoreLib]
ignoredheaduuids: []

#control whether PlayerHeads checks for block-break protection before dropping (necessary for accurate results under NoCheatPlus)
pretestblockbreak: true


#modifier for the rate of drops from different sizes of slime/magma cubes.
#for instance, 1.0 means that the slime drops 100% of the slimedroprate.
#so, with a slimedroprate of 0.75 and a size modifier of 0.5, the effective drop rate is 0.375
slimemodifier:
    #Note that this value is zero-based, so 1 is the smallest slime, 2 is the next larger, etc. The sizes that spawn naturally are 1, 2, and 4.
    1: 1.0
    2: 1.0
    3: 1.0
    4: 1.0
    


#chargedcreeperbehavior can be:
#   vanilla - don't allow PlayerHeads to modify deaths caused by charged creepers at all
#   ignore - don't consider charged creeper behavior at all, add PlayerHeads drop chances anyway if applicable (may cause doubled head drops with mobpkonly off) (default behavior before 5.2)
#   block - block all charged creeper caused head drops
#   replace - remove vanilla charged creeper caused head drops and add PlayerHeads drop chances instead
# NOTE: requires 'considermobkillers' to be enabled.
chargedcreeperbehavior: ignore
#drop rate modifier (multiplier) to apply if a charged creeper caused the death and "ignore" or "replace" behaviors are enabled.
chargedcreepermodifier: 1.0

witherskeletonbehavior: ignore
#witherskeletonbehavior determines what PlayerHeads should do when it encounters a head being dropped (usually from vanilla sources) by a WitherSkeleton. chargedcreeperbehavior may override this.
#   vanilla - don't allow PlayerHeads to modify witherskeleton drops further. (this functions the same as witherskeletondroprate:-1)
#   ignore - don't consider preexisting drops at all, add PlayerHeads drop chances anyway if applicable (may cause doubled head drops if vanilla and PH both roll lucky)
#   block - block all witherskeleton head drops (should function the same as 'replace' mode with witherskeletondroprate:0 )
#   replace - remove vanilla witherskeleton caused head drops and add PlayerHeads drop chances instead (default behavior before 5.2.1)

#controls whether to delay the plugin-added drop of the wither boss head (to avoid explosion destroying it)
delaywitherdrop: false
#sets the time to delay plugin-added drops in miliseconds (NOTE: the minimum resolution is multiples of 50ms ~ 1tick)
delaywitherdropms: 250

#whether to attempt to save and restore the profile (id,name,texture) when breaking blocks or dropping items.
restoreprofile: true

#whether to attempt to fix the item dropped when heads-blocks are broken (normally lose display-name/lore)
#the effect here is comparable and sometimes overlaps with fixdroppedheads (which covers all item-drops)
fixbrokenheads: true


#------mob rates------#

creeperdroprate: 0.005
zombiedroprate: 0.002
skeletondroprate: 0.002
witherskeletondroprate: 0.025
spiderdroprate: 0.002
endermandroprate: 0.002
blazedroprate: 0.002
horsedroprate: 0.002
donkeydroprate: 0.002
squiddroprate: 0.005
silverfishdroprate: 0.005
enderdragondroprate: 0.05
slimedroprate: 0.001
irongolemdroprate: 0.005
mushroomcowdroprate: 0.002
batdroprate: 0.005
zombifiedpiglindroprate: 0.002
snowmandroprate: 0.002
ghastdroprate: 0.005
pigdroprate: 0.002
villagerdroprate: 0.002
sheepdroprate: 0.002
cowdroprate: 0.002
chickendroprate: 0.002
ocelotdroprate: 0.005
witchdroprate: 0.005
magmacubedroprate: 0.001
wolfdroprate: 0.002
cavespiderdroprate: 0.002
rabbitdroprate: 0.002
guardiandroprate: 0.025
elderguardiandroprate: 0.030
polarbeardroprate: 0.005
shulkerdroprate: 0.002
straydroprate: 0.002
endermitedroprate: 0.005
evokerdroprate: 0.005
illusionerdroprate: 0.005
vindicatordroprate: 0.005
witherdroprate: 0.005
vexdroprate: 0.004
llamadroprate: 0.008
parrotdroprate: 0.008

#new drop rates supported since the 4.x redesign
huskdroprate: 0.002
zombievillagerdroprate: 0.002
skeletonhorsedroprate: 0.002
zombiehorsedroprate: 0.002
muledroprate: 0.002
turtledroprate: 0.002
phantomdroprate: 0.001
coddroprate: 0.002
salmondroprate: 0.002
pufferfishdroprate: 0.002
tropicalfishdroprate: 0.002
drowneddroprate: 0.002
dolphindroprate: 0.002

#remaining living-entity entries - disabled by default
giantdroprate: 0.0
armorstanddroprate: 0.0

#1.14 mobs
pillagerdroprate: 0.002
ravagerdroprate: 0.005
pandadroprate: 0.002
catdroprate: 0.002
foxdroprate: 0.002
traderllamadroprate: 0.005
wanderingtraderdroprate: 0.005

#1.15 mobs
beedroprate: 0.002

#1.16 mobs
striderdroprate: 0.002
piglindroprate: 0.002
hoglindroprate: 0.002
zoglindroprate: 0.002

#1.16.2 mobs
piglinbrutedroprate: 0.002

#1.17 mobs
axolotldroprate: 0.002
glowsquiddroprate: 0.002
goatdroprate: 0.002

#Caves and Cliffs mobs
allaydroprate: 0.002
frogdroprate: 0.002
tadpoledroprate: 0.002
wardendroprate: 0.002
fireflydroprate: 0.002

#1.20 provisional mobs
cameldroprate: 0.002
snifferdroprate: 0.002


